  ix = ix_IPEngine 
  var str;
  var subStr;
  function ix_Main(){ 
 
 
     str =  "Example of Embeded Line Parsing Example 2\nBy Using SSimXel Scripts Engine... \n\n";
     subStr = "Sensor ID    : 0x" + ix.num_decStrToHexStr(ix.img_getPixel(2)) +  ix.num_decStrToHexStr(ix.img_getPixel(3))  + "(by 3rd Pixel and 4th Pixel) \n\n";
     str = str + "----------------------------------------------------------\n";
     str = str + subStr;
 
     subStr = "Exposure     : "  +  ix.img_getPixel(4) + " msec (by 5th Pixel) \n\n";
     str = str + "----------------------------------------------------------\n";

     var ag =   ix.num_decStrToInt(ix.img_getPixel(5)) ;
     var dg=    ix.num_decStrToInt(ix.img_getPixel(6)) ;
  
     var tg=    ag*dg ;


     str = str + subStr;

     str = str + "----------------------------------------------------------\n";


     subStr = "Analog Gain  : "  +  ag+   " times (by 6th Pixel) \n";
     str = str + subStr; 
     subStr = "Digital Gain : "  +  dg  + " times (by 7th Pixel) \n\n";
     str = str + subStr;
 

    subStr = "Total Gain   : "  +  tg  + " times (analog gain x digital gain) \n";
     str = str + subStr;
     
 
    

    return str;
  } 
